Unity3d Facebook SDK 6.2.2 Error

| | August 11, 2015

![Xcode screen][1]

XCode Error, how to fix this problem? FBSDKLoginKit present in library list. Maybe unity3d 5 doesn’t support Facebook SDK 6.2.2 version?

Ld
/Users/Arahis/Library/Developer/Xcode/DerivedData/Unity-iPhone-ciwadoyxuyddvuagqxleasaxynhi/Build/Intermediates/Unity-iPhone.build/Release-iphoneos/Unity-iPhone.build/Objects-normal/armv7/slotspanther
normal armv7
cd /Users/Arahis/Builds/Build1
export IPHONEOS_DEPLOYMENT_TARGET=7.0
export PATH=”/Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/usr/bin:/Applications/Xcode.app/Contents/Developer/usr/bin:/usr/bin:/bin:/usr/sbin:/sbin”
/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin/clang++
-arch armv7 -isysroot /Applications/Xcode.app/Contents/Developer/Platforms/iPhoneOS.platform/Developer/SDKs/iPhoneOS8.3.sdk
-L/Users/Arahis/Library/Developer/Xcode/DerivedData/Unity-iPhone-ciwadoyxuyddvuagqxleasaxynhi/Build/Products/Release-iphoneos
-L/Users/Arahis/Builds/Build1 -L/Users/Arahis/Builds/Build1/Libraries -L/Users/Arahis/Builds/Build1/Libraries/Plugins/IOS -F/Users/Arahis/Library/Developer/Xcode/DerivedData/Unity-iPhone-ciwadoyxuyddvuagqxleasaxynhi/Build/Products/Release-iphoneos
-F/Users/Arahis/Builds/Build1 -filelist /Users/Arahis/Library/Developer/Xcode/DerivedData/Unity-iPhone-ciwadoyxuyddvuagqxleasaxynhi/Build/Intermediates/Unity-iPhone.build/Release-iphoneos/Unity-iPhone.build/Objects-normal/armv7/slotspanther.LinkFileList
-Xlinker -map -Xlinker /Users/Arahis/Library/Developer/Xcode/DerivedData/Unity-iPhone-ciwadoyxuyddvuagqxleasaxynhi/Build/Intermediates/Unity-iPhone.build/Release-iphoneos/Unity-iPhone.build/slotspanther-LinkMap-normal-armv7.txt
-dead_strip -weak_framework CoreMotion -weak-lSystem -stdlib=libc++ -fobjc-arc -fobjc-link-runtime -miphoneos-version-min=7.0 -framework Security -framework Social -framework GameKit -framework Accounts
-framework CoreTelephony -framework MobileCoreServices -framework StoreKit -framework CoreText -framework Foundation -framework UIKit
-framework OpenGLES -framework QuartzCore -framework OpenAL -liconv.2 -framework AudioToolbox -framework CFNetwork -framework MediaPlayer -framework CoreLocation -framework SystemConfiguration -weak_framework iAd -framework CoreMedia -framework CoreVideo -weak_framework
AVFoundation -framework CoreGraphics -weak_framework CoreMotion
-liPhone-lib -lFlurry -lOneSignal -framework FBSDKLoginKit -framework FBSDKShareKit -framework Bolts
/Users/Arahis/Builds/Build1/Libraries/Plugins/IOS/MobileAppTracker-3.9.1.a
-framework FBSDKCoreKit -Xlinker -dependency_info -Xlinker /Users/Arahis/Library/Developer/Xcode/DerivedData/Unity-iPhone-ciwadoyxuyddvuagqxleasaxynhi/Build/Intermediates/Unity-iPhone.build/Release-iphoneos/Unity-iPhone.build/Objects-normal/armv7/slotspanther_dependency_info.dat
-o /Users/Arahis/Library/Developer/Xcode/DerivedData/Unity-iPhone-ciwadoyxuyddvuagqxleasaxynhi/Build/Intermediates/Unity-iPhone.build/Release-iphoneos/Unity-iPhone.build/Objects-normal/armv7/slotspanther

ld: framework not found FBSDKLoginKit
clang: error: linker command failed with exit code 1 (use -v to see invocation)

One Response to “Unity3d Facebook SDK 6.2.2 Error”

  1. Starting with version 7 the “Facebook SDK for Unity” will supports Unity 5 fully.

    You can download 7.0.2, which is currently in beta at the bottom of this page:
    https://developers.facebook.com/docs/unity/downloads

Leave a Reply